Get index information
GET
/api/admin/indexes/{id}
const url = 'https://example.com/api/admin/indexes/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/indexes/example \ --header 'Authorization: Bearer <token>'Retrieves detailed information about a specific search index
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Index name
string
Responses
Section titled “Responses”Index info retrieved successfully
Media typeapplication/json
object
name
required
Index name
string
numDocs
Number of documents in index
number
maxDocId
Maximum document ID
number
numTerms
Number of terms in index
number
numRecords
Number of records
number
invSize
Inverted index size
number
totalInvertedIndexBlocks
Total inverted index blocks
number
Examplegenerated
{ "name": "example", "numDocs": 1, "maxDocId": 1, "numTerms": 1, "numRecords": 1, "invSize": 1, "totalInvertedIndexBlocks": 1}